#
# spec file for package python-pyplete
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyplete
Version:        0.0.5
Release:        lp150.1.3
Summary:        An interface to autocomplete in python
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/goinnn/pyplete
Source:         http://pypi.python.org/packages/source/p/pyplete/pyplete-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pysmell
BuildRequires:  python-setuptools
Requires:       python-pysmell
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PYPLETE (PYthon autocomPLETE) is a interface to autocomplete in python.

PyPlete uses pysmell but unlike this, PyPlete is dynamic, it does not 
need execute a command to pre-analyze the code. This is a good tool 
to analyze (or autocomplete) the code that you are writing currently

%prep
%setup -q -n pyplete-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README.rst
%{python_sitelib}/*

%changelog
* Wed Aug 13 2014 toddrme2178@gmail.com
- Spec file cleanups
* Sun Nov 24 2013 p.drouand@gmail.com
- Update to version 0.5
  + fix a little error in get_pysmell_code_walk_to_text (only if the
    text was unicode characters)
- Changes from version 0.4
  + fix a little error in get_pysmell_code_walk_to_text (only if the
    text was unicode characters)
- Changes from version 0.3
  + fix a little error in get_importables_from_line
- Remove useless CFLAGS="%%{optflags}"
- Simplify files list in %%files section
- Remove useless python(abi) requirement
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Nov 29 2012 toddrme2178@gmail.com
- Initial spec file
